###################################################################
# CyberCalendar v1.8
#
# Calendar Configuration
# Copyright 1999, 2000, 2001 Shawn Ewald <shawn@wilshire.net>
#
###################################################################
# License:                                                        #
# ----------------------------------------------------------------#
# This program is free software; you can redistribute it and/or   #
# modify it under the terms of the GNU General Public License     #
# as published by the Free Software Foundation; either version 2  #
# of the License, or (at your option) any later version.          #
#                                                                 #
# This program is distributed in the hope that it will be useful, #
# but WITHOUT ANY WARRANTY; without even the implied warranty of  #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.            #
###################################################################
# For the full text of the GNU General Public License, go to:     #
# http://www.gnu.org/copyleft/gpl.html                            #
###################################################################
#
# CyberCalendar Configuration
#
# SAVE A COPY OF THIS FILE BEFORE EDITING!
#
# BEGIN CONFIGURATION
#==================================================================

# This is a sample config file to show how you can enable
# the inclusion of CyberCalendar into dynamic PHP documents.

###################################################################
# DATABASE INFO

# Name of database
$config->{database}    = 'calendar';

# Hostname of database server
$config->{db_host}     = 'localhost';

# Database username
$config->{db_user}     = 'caluser';

# Database password
$config->{db_password} = '4caladmin';

# DBI driver for your database server
$config->{db_driver}   = 'mysql';

# DBI connection string -- you ordinarily shouldn't need to edit this
# and, furthermore, you really shouldn't edit this if you don't know
# what you're doing.
$config->{datasource}  = "dbi:$config->{db_driver}:database=$config->{database};host=$config->{db_host}";

###################################################################
# CALENDAR URL INFO

# This setup assumes that your PHP scripts are located in the root directory
# (i.e. '/') of your website and the real location of the CyberCalendar
# application is in a subdirectory called 'calendar'. 

# The calendar index page
$config->{cal_url}           = 'index.php';

# The form handling script
$config->{formproc_url}      = 'optionform.php';

# The printable view script
$config->{print_url}         = 'printable.php';

# The v-calendar script
$config->{vcal_url}          = 'vcal.php/event.vcs';

# The public event submission script
$config->{submit_url}         = 'submit.php';

# The wap/palm calendar script
$config->{pda_url}           = 'pda.pl';


# The admin login script
$config->{login_url}         = 'index.pl';

# The main admin page
$config->{admin_url}         = 'admin.pl';

# The setup and configuration page
$config->{setup_url}         = 'setup.pl';

# The relative url of the user help pages
$config->{help_index}        = 'calendar/help/help_index.html';

###################################################################
# ADMINISTRATOR ACCESS CONTROL

# Choose preferred type of session management
# 0 = none 1 = webserver authentication 2 = use query string
$config->{session_type} = 2;

###################################################################
# E-MAIL INFO

# Your smtp (mail) server
$config->{smtp_server}               = 'smtp-server';

# To use the sendmail program instead of SMTP, set value below to 1.
# NOTE: This option automatically overrides the $config->{smtp_server}
# option. To use an SMTP server, this value MUST be set to 0.

$config->{use_sendmail}              = 0;

# If you want to have a vCalendar file automatically attached to
# event e-mails set the following value to 1.
$config->{attach_vcal}               = 0;

# END CONFIGURATION
#==================================================================

1;
