#
# Table structure for table 'submitted_events'
#

CREATE TABLE submitted_events (
  eventid int(11) NOT NULL DEFAULT '0' auto_increment,
  site_id int(11) DEFAULT '0' NOT NULL,
  calendar varchar(255) DEFAULT '' NOT NULL,
  sub_name varchar(255) DEFAULT '',
  sub_email varchar(255) DEFAULT '',
  repeatid varchar(25) DEFAULT '' NOT NULL,
  dateid date DEFAULT '0000-00-00' NOT NULL,
  enddate date DEFAULT '0000-00-00' NOT NULL,
  event_day int(2) DEFAULT '0' NOT NULL,
  event_month int(2) DEFAULT '0' NOT NULL,
  event_year year(4) DEFAULT '0000' NOT NULL,
  subject varchar(255) DEFAULT '' NOT NULL,
  desctext text,
  url varchar(255),
  email varchar(255),
  location varchar(255),
  category varchar(255),
  starttime time,
  endtime time,
  PRIMARY KEY (eventid),
  KEY repeatid (repeatid),
  KEY dateid (dateid)
);


# Modify config table
ALTER TABLE config change use_root is_default tinyint(1) DEFAULT '0';
ALTER TABLE config add public_event_submit tinyint(1) DEFAULT '0';
ALTER TABLE config add public_direct_submit tinyint(1) DEFAULT '0';

# Modify data in table users
UPDATE users SET accesslevel = 2 where accesslevel = 1;
UPDATE users SET accesslevel = 1 where accesslevel = 0;
